import { WidgetBase } from '@csnext/cs-client';
import { GraphElement } from '@csnext/cs-data';
import { DocDatasource } from '../..';
export default class User extends WidgetBase {
    get activeUser(): string | undefined;
    set activeUser(userId: string | undefined);
    get availableUsers(): GraphElement[] | undefined;
    get source(): DocDatasource | undefined;
    constructor();
    contentLoaded(): void;
    mounted(): void;
}
